%define majver %(echo %version | cut -d. -f 1-2)
%define apiver 1.0
Name:          libclutter
Version:       1.26.4
Release:       2mamba
Summary:       Open Source software library for creating fast, compelling, portable, and dynamic graphical user interfaces
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://blogs.gnome.org/clutter/
Source:        https://download.gnome.org/sources/clutter/%{majver}/clutter-%{version}.tar.xz
Patch0:        Use-a-native-format-for-atlas-textures.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libbrotli-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libcogl-devel
BuildRequires: libdrm-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libinput-devel
BuildRequires: libjson-glib-devel
BuildRequires: libmesa-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libudev-devel
BuildRequires: libwayland-devel
BuildRequires: libwayland-egl-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext
BuildRequires: gtk-doc
BuildRequires: libinput-devel
Provides:      clutter
Obsoletes:     clutter <= 1.26.4-1mamba
Requires:      gobject-introspection

%description
Clutter is an open source software library for creating fast, compelling, portable, and dynamic graphical user interfaces. The most obvious example of potential usage is in media center type applications.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      clutter-devel
Obsoletes:     clutter-devel <= 1.26.4-1mamba

%description devel
Clutter is an open source software library for creating fast, compelling, portable, and dynamic graphical user interfaces.
This package contains libraries and header files needed for development.

%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      clutter-doc
Obsoletes:     clutter-doc <= 1.26.4-1mamba

%description doc
Clutter is an open source software library for creating fast, compelling, portable, and dynamic graphical user interfaces.
This package contains documentation for %{name}.

%debug_package

%prep
%setup -q -n clutter-%{version}

%build
%configure \
   --enable-gtk-doc \
   --enable-xinput \
   --enable-egl-backend \
   --enable-evdev-input

# TODO: requires cogl with wayland server support which in turn requires wayland-egl from MESA
#   --enable-wayland-compositor \
#   --enable-tslib-input \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang clutter-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f clutter-%{apiver}.lang
%defattr(-,root,root)
%{_libdir}/libclutter-%{apiver}.so.*
%{_libdir}/libclutter-glx-%{apiver}.so.*
%{_libdir}/girepository-?.?/ClutterGdk-%{apiver}.typelib
%{_libdir}/girepository-?.?/Cally-%{apiver}.typelib
%{_libdir}/girepository-?.?/Clutter-%{apiver}.typelib
%{_libdir}/girepository-?.?/ClutterX11-%{apiver}.typelib
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/clutter-%{apiver}
%dir %{_includedir}/clutter-%{apiver}/cally
%{_includedir}/clutter-%{apiver}/cally/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter
%{_includedir}/clutter-%{apiver}/clutter/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter/deprecated
%{_includedir}/clutter-%{apiver}/clutter/deprecated/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter/evdev
%{_includedir}/clutter-%{apiver}/clutter/evdev/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter/egl
%{_includedir}/clutter-%{apiver}/clutter/egl/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter/gdk
%{_includedir}/clutter-%{apiver}/clutter/gdk/clutter-gdk.h
%dir %{_includedir}/clutter-%{apiver}/clutter/glx
%{_includedir}/clutter-%{apiver}/clutter/glx/*.h
%dir %{_includedir}/clutter-1.0/clutter/wayland
%{_includedir}/clutter-1.0/clutter/wayland/*.h
%dir %{_includedir}/clutter-%{apiver}/clutter/x11
%{_includedir}/clutter-%{apiver}/clutter/x11/*.h
%{_libdir}/libclutter-%{apiver}.so
%{_libdir}/pkgconfig/clutter-gdk-%{apiver}.pc
#%{_includedir}/clutter-?.?/cogl/*.h
%{_libdir}/libclutter-glx-%{apiver}.so
%{_libdir}/pkgconfig/cally-%{apiver}.pc
%{_libdir}/pkgconfig/clutter-*.pc
#%{_libdir}/pkgconfig/cogl-gl-?.?.pc
%dir %{_datadir}/clutter-%{apiver}
%dir %{_datadir}/clutter-%{apiver}/valgrind
%{_datadir}/clutter-%{apiver}/valgrind/clutter.supp
%{_datadir}/gir-1.0/ClutterGdk-%{apiver}.gir
%{_datadir}/gir-?.?/Cally-%{apiver}.gir
%{_datadir}/gir-?.?/Clutter-%{apiver}.gir
%{_datadir}/gir-?.?/ClutterX11-%{apiver}.gir
#%{_datadir}/gir-?.?/Cogl-?.?.gir
%doc ChangeLog* NEWS

%files doc
%defattr(-,root,root)
#%{_datadir}/gtk-doc/html/cally
%{_datadir}/gtk-doc/html/clutter
#%{_datadir}/gtk-doc/html/cogl

%changelog
* Wed Sep 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26.4-2mamba
- rebuilt to remove .la files

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 1.26.4-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Automatic Build System <autodist@mambasoft.it> 1.26.2-1mamba
- automatic version update by autodist

* Sat Apr 09 2016 Automatic Build System <autodist@mambasoft.it> 1.26.0-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 1.24.2-1mamba
- automatic version update by autodist

* Mon Oct 12 2015 Automatic Build System <autodist@mambasoft.it> 1.24.0-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 1.22.4-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 1.22.2-1mamba
- automatic version update by autodist

* Sat Apr 18 2015 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Thu Oct 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.0-2mamba
- rebuilt with --enable-egl-backent required by mutter 3.14 and enabled other features

* Mon Sep 22 2014 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Sat Aug 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.4-1mamba
- update to 1.18.4

* Tue Apr 15 2014 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Mon Mar 31 2014 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sat Jan 25 2014 Automatic Build System <autodist@mambasoft.it> 1.16.4-1mamba
- automatic version update by autodist

* Tue Nov 19 2013 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Sun Nov 03 2013 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Wed Apr 17 2013 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Sun Apr 07 2013 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Thu Jan 17 2013 Automatic Build System <autodist@mambasoft.it> 1.13.4-1mamba
- automatic version update by autodist

* Tue Dec 18 2012 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2012 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sat Sep 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.8-2mamba
- moved typelib file from -devel to main package

* Fri Jul 06 2012 Automatic Build System <autodist@mambasoft.it> 1.10.8-1mamba
- update to 1.10.8

* Mon Jan 30 2012 Automatic Build System <autodist@mambasoft.it> 1.8.4-1mamba
- automatic version update by autodist

* Fri Oct 21 2011 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Tue Jun 14 2011 Automatic Build System <autodist@mambasoft.it> 1.6.16-1mamba
- automatic update by autodist

* Tue May 03 2011 Automatic Build System <autodist@mambasoft.it> 1.6.14-1mamba
- automatic update by autodist

* Sun Mar 13 2011 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic update by autodist

* Mon Jan 31 2011 Automatic Build System <autodist@mambasoft.it> 1.5.12-1mamba
- automatic update by autodist

* Wed Dec 01 2010 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic update by autodist

* Thu Nov 25 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0
- renamed from clutter to libclutter

* Sun Sep 19 2010 gil <puntogil@libero.it> 1.2.12-1mamba
- package created by autospec
